This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### = (assign)
Examples |
    int a;
    a = 30;  // Assigns for value 30 to the variable 'a'
    a = a + 40;  // Assigns the value 70 to the variable 'a'
Description | Assigns a value to a variable. The "=" sign does not mean "equals", but is used to place data within a variable. The "=" operator is formally called the assignment operator. There are many different types of variables (int, floats, strings, etc.) and the assignment operator can only assign values which are the same type as the variable it is assigning. For example, if the variable is of type int, the value must also be an int.
Syntax |
    var = value
Parameters |
var | any valid variable name
value | any value of the same type as the variable. For example, if the variable is of type "int", the value must also be an int
Related | += (add assign) -= (subtract assign)

Updated on October 26, 2013 08:58:34pm PDT